Subject: 28.3; elpa: inspector installation fails without treeviewer

From: Henrik Ahlgren <[email-masked]>
Date: Thu, 04 May 2023 14:12:56 +0300

The git repository for the inspector package contains two separate
packages, inspector.el and tree-inspector.el. The main package does not
have Package-Requires for treeview, since it does not need it. However,
the other package included in the tarball fails to compile if treeview
is not present.

The upstream author refuses to add the dependency to inspector.el,
claiming it is a problem with elpa itself:

https://github.com/mmontone/emacs-inspector/pull/25

I think elpa should add tree-inspector* to :exclude-files and perhaps
add tree-inspector as a separate package.